const Notification = {
    showNotification: function (title, message, type) {
        
        // Create notification container if it doesn't exist
        var container = document.querySelector('.notification-container');
        if (!container) {
            container = document.createElement('div');
            container.className = 'notification-container';
            document.body.appendChild(container);
        }

        // Create notification element
        const notification = document.createElement('div');
        notification.className = `notification ${type}`;
        notification.innerHTML = `<div class="notification-h3">${title}</div><div class="notification-p">${message}</div>`;

        // Append to container
        container.appendChild(notification);

        // Auto-dismiss after 5 seconds
        setTimeout(() => {
            notification.remove();
        }, 10000);
    }
};
